About program

BELAZ parts e-catalogue version 4.x

Overview:

Electronic catalogue of parts and assembling units BELAZ contains the most all-embracing and accurate data on parts and units of the machinery and equipment produced by BELAZ. The catalogue is furnished with colour pictures, made with application of 3D technologies, thus ensuring various views of the units. The catalogue contains data on the most up-to-date models - a feature offered by our product only as BELAZ itself is our direct customer for BELAZ parts and units e-catalogues.

The catalogue also has a reference-book of sundries (standard parts) with dimensions and quality images. Easy-to-use friendly interface is one of the distinctive pecularity allowing for quick and problem-free operations with the catalogue.

Key features:

маркированный список | The most complete and accurate data on BELAZ products.
маркированный список | Search option through all vehicles.
маркированный список | Possibility to work with several windows.
маркированный список | Photorealism quality of illustrations.
маркированный список | Friendly interface.
маркированный список | Support of Russian and English.
маркированный список | Print of selected units.
маркированный список | Creation and managements of orders.
маркированный список | Exclusive info used to create the catalogue.

AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


What's new?

New features compared with 3.x version:

Program:

All-new, improved interface with enriched fuctionality

маркированный список | multi-window interface allowing to open several models simultaneously.
маркированный список | Common menu and tool line (toolbar) added to accelerate operations with a catalogue.
маркированный список | "operative field" increased to make the program more factual.
маркированный список | friendly selection of model in overall structure of models.
маркированный список | new full-colour icons.
маркированный список | scalable unit images with picture smoothing and "autoscale" mode to screen large pictures in window completely.

History of movement through the units has been added.

All-new, accelerated search of parts in catalogue:

маркированный список | search through standard parts.
маркированный список | search by parts dimensions.
маркированный список | search in units .
маркированный список | found part is shown on the unit picture.
маркированный список | auto-scalable unit images.

Accelerated and new engine of Database access, redesigned and optimized requests to Databse.

Revised module of catalogue page print.

Context-sensitive help has been introduced for your convenience.

Orders processing and screeneing engine improved for faster operations.

Option for manual input of order items numbers.

Orders module has been added with price editor and order quotation option.

Data Base:

маркированный список | Refreshed units in models.
маркированный список | A lot of unit images were subject to a 3D view redesigning.
маркированный список | Considerably etended databse of sundries.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


System requirements

Software requirements:

The present Catalogue represents a program complex, to be installed and used on a PC managed by OS Microsoft Windows 98 or OS Microsoft Windows NT/2000/XP (with administrator rights).

Hardware requirements:

Features \ Configuration | Minimal | Recommended
CPU | 100 MHz | 400 MHz
CD-ROM | 12x | 32x
RAM | 32 Mb | 64-128 Mb
Hard drive free space | 10-500 Mb (depending on package and installation method)
Monitor | 15" | >=17"
Screen resolution | 1024x768 | 1280x1024
Color | 16 bit | 24 or 32 bit
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Getting Started

To start program click"Start [image] Programs [image] Art-Mechanics [image] BELAZ Parts Catalogue" or make double click on a desktop icon:

After the program is started, a main window and catalogue window will appear on the screen. Select item "Catalogue [image] Selecting model», choose type of equipment (choose payload capacity class - for haul trucks) and then you'll see models list.

Moving through the units is shown in aparts and units tree as an icon [image] in front of the unit name. Different ways are available to move inside the catalogue:

маркированный список | Selecting required unit or part in a tree of parts and units.
маркированный список | Selecting mark of required unit on an image. Double click of mouse left button while on the mark will move you to the unit.
маркированный список | Selecting required uit in a list of parts and units. Double click of mouse left button while on the inscription will move you to the unit.
маркированный список | Using a history of moving through units.
маркированный список | Through search.

To return to a previous unit you may use history of moving through the units or by selecting button with icon [image]. For movement to a parental unit use button with icon [image].

Working wwith a catalogue you may need to find location of a part in vehicle or search of parts whose descriptions (part names) contain specific digits or numbers. For these purposes the catalogue is provided with several search options:

маркированный список | Search in a tree branch. Used to find part or unit in selected tree branch. Search line is below the parts and units tree. To activate press Cntr-Alt-F, or click icon [image] .
маркированный список | Search for units containing part.
маркированный список | Search for any unit or part. You may search either by exact name or by initial or analogous symbols. To start search select «Catalogue [image] Search», or press Cntr+F.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Program settings

Window of program settings may be activated through menu "Services [image] Settings". A tree with the following bookmarks is in the left part of the window:

маркированный список | General
маркированный список | Path to files
маркированный список | WEB
маркированный список | Email settings

Page "General":

Name | Description
License key | This is your personal, individual license number. You are not allowed to change this number.
Language | Switching between available catalogue languages.
Show total quantity of parts in vehicle | Quantity of selected part in the vehicle will be shown in the under-image table.
Show part numbers in tree | Parts and units tree will bear unit (part) number to the right from the unit name.
Mark out selected part | Mark of selected part shall be encircled on an image.
Smooth pictures when scaling | When picture scale is changed a smoothing mechanism will be launched. This option contributes to a better quality of the image.
Stretch pictures above 100% when autoscaling | Allows to increase pictures above 100% if size of the window permits so.
Show total quantity of parts when ordering |
Editing price of items and order amount |
Mark out manual inputing of items |
Currency | Choose required currency from the suggested list.

Page "Path to files":

Page "Path to file"

Name | Description
Path configuration name. | Name of selected configuration of routes and list of configurations.
Parts DB | Path to parts database. If program is properly installed all the pathes are registered correctly.
Orders DB | Path to orders database. If program is properly installed all the pathes are registered correctly.
Pictures | Path to directory with catalogue pictures.
Text files | Path to directory with catalogue text files.
Email files | Path to directory containing e-mail files.

Buttons [image] are intended to invoke window of file opening:

Select "Desktop \ My computer \ Required disc", next, select required file and click OK.

Buttons [image] open "Browse for folder" window:

Browse for folder

Mark out required folder by opening folders tree and then press OK

Configuration of pathes:

If you have several CDs with different models and you need to switch between them without discs changing and program restarting you may use configuration of pathes. If setup was made in "Complete installation" you may delete folders DB and BMP from program folder, later this data can be copied from CD. Create a folder on your PC hard disc where database and pictures files will be stored; "C:\Programm Files\BELAZ\Catalogue", for example (if you installed program, such a folder exists already). Create folders for each CD in that folder, for instance: "40tonnes", "42 tonnes", "55tonnes". Copy folders DB and BMP from the original catalogue CDs to each of the above folders. Originally the program has "Main configuration" which can be edited but not deleted. If you select new name in the field for configuration name, a button "Save configuration" [image] will become accessible.

Input configuration name, for instance "40tonnes".

Tune pathes to a required databse afterwards,
Example: "C:\Programm files\BELAZ\Catalogue\40tonnes\DB\Parts.GDB"

and a path to pictures,
Example: "С:\Programm Files\BELAZ\Catalogue\40tonnes\BMP",

и press "Save configuration" button.

Create other configurations. After that (selecting required configuration from the list of available) you can connect the databse to various models. To delete unnecessary configurations use button "Delete configuration" [image].

Important: Databases having the same licenses can be connected this way.

Network access to catalogue data:

Network computer where database is supposed to be installed should have DB server, which is Interbase Server. Install program on this computer. Folder with pictures must be provided with access for reading, name network resource "BELAZ Catalog Picture". Computers where the program is supposed to be started must have the program installed; for this purpose select "CD installation". After start of the program adjust pathes to databases and pictures:

Path to DB must look as follows - "\\server_name\path_on_server_to_DB_file"

Example: "\\server\С:\Programm files\BELAZ\Catalogue\DB\Parts.GDB".

Path to pictures must look as follows - "\\server_name\network_path",

Example: "\\server\BELAZ Catalog Picture\".

Proceed in the same way to arrange path to text documents:

Network path settings

Page "WEB":

Name | Description
File source of WEB-server | If CD contain local version of WEB-site, you may use source of review - either from CD or from the web.
View WEB files | To review manuals and unit descriptions you may use built-in review facility (in this case window starts faster but may not display everything correctly) or alternatively use default review facility - Internet Explorer, for instance.

Page "Email settings":

Page "Email settings"

Name | Description
Mail sending options | You may select either your default program or use catalogue to send mail.
Email address to send messages | Mail recepient address, i.e. where orders will be sent (we recommend to change this parameter only after our notice about change of electronic address).
SMTP settings | Required to adjust sending of mail through your SMTP server: SMTP address of your mail server (example: mail.artmech.com) Port – usually set for 25. Account Name on mail server, ususally the one to the left from @ in your E-mail address. Email – input your e-mail address
Contacts information | Deatils on a sender (see below), Name of the company and e-mail address are obligatory.

Page "Contacts information"

AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Window "About"

"About" window contains the following info:

1 Program type
Client | - Catalog viewer.
LE | - Lite Edition.
CD Only | - Instalation CD required
2 | Version number
3 | If hardware key required
4 | Status line. Appears at the program launch and reflects program' operations.

AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Program interface

After the program is launched and catalogue window is opened, you will see program interface elements, the most essential of which are:

маркированный список | Main menu
маркированный список | Toolbar
маркированный список | Parts and units tree
маркированный список | Unit image
маркированный список | Table of image parts

Main menu Toolbar Parts and units tree Part image Table of image parts Строка статуса Window heading

Window heading contains info about catalogue window number, name of the model, number and name of the opened unit.

Main menu is in the main window upper portion and contains the following sections:

маркированный список | Catalogue
маркированный список | Orders
маркированный список | Bookmarks
маркированный список | View
маркированный список | Documents
маркированный список | Tree
маркированный список | Windows
маркированный список | Services

Toolbar is under main menu. The toolbar buttons call for the most frequently used operations. To change configuration of the toolbar use menu «View [image] Toolbars». Tools are divided into the following groups:

маркированный список | Catalogue
маркированный список | Tree
маркированный список | General
маркированный список | History
маркированный список | Services

Parts and units tree is in the left part of a window. It has all parts and units, their icons, names (descriptions) and part numbers in square brackets.

Part image occupies larger part of a window. Unit image has marks on it which allow to provide information about the part or to goto the next unit.

Table of image parts is under the image and contains detailed information about each part shown on the image. The table also may include specific data about selected part; interactive elements above the table are provided for this purpose:

маркированный список | Additional info button
маркированный список | Quantity in vehicle
маркированный список | Quantity in other vehicles
маркированный список | Containing in units

Button of a part additional information, when active, shall have schematic image of the part on. Pressing this button will activate window of additional info.

Pressing "Quantity in vehicle" you will see total quantity of the selected parts in a vehicle. Constant activation of this option may retard catalogue performance when moving in the catalogue tree.

Pressing "Quantity in other vehicles" you will see a table containing all the models which have selected part and quantities for each model.

Количество в моделях

Status bar is in the very bottom of the window and contains info about catalogue window number, name of the model and complete selected route of the units in tree.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Toolbar

Toolbar allows to call operations which are used frequently. Configuration of the toolbar may be changed through "View [image] Toolbar" menu or by pressing mouse' right button while on the toolbar. All the tools are divided into several groups.

«Catalogue» group contains the following tools:

Name | Description
New | Creates new full-scale catalogue window. Additional window may be required to view several parts at the same time. To control the windows you may use the buttons located on a toolbar or from "Windows" menu.
Model select | Opens catalogue for the equipment selected. To select the required model, choose equipment type, then payload range (if concerns a haul truck), and then model from the list.
Close | Closes active catalogue window.

«Tree» group contains the following tools:

Name | Description
One unit up | Moving through a tree up to a "parental" unit.
Inside unit | Moving inside tree.
Search in tree | Activates search line. The line is at the bottom of a tree. There is a button next to the line which provides for going to the next part corresponding to search criteria.
Sort by ... | Contains popup menu where one of three available modes of sorting may be selected: by number, by name or sorting-free.
Search in tree by ... | Contains popup menu where search in tree mode can be adjusted. Perform search either by number or name; by start symbols or by inclusion.

«General» group contains the following tools:

Name | Description
Search | Opens search window.
Print | Activates printing of selected part page.
On/Off Full-screen mode | Switches between modes of displaying the catalogue. Program starts in a none-full-screen mode by default. Implication of a full-screen mode shall remove all interface elements except main menu and part picture.
Zoom in | Increases scale of a picture.
Zoom out | Decreases scale of a picture.
Part ordering | Allows to make an order for the part.
Order editing window | Reviewing completed and edited orders.
All documents on model | Displays list of all the documents referring to an actual model.
Operation manual on unit | Screening of part (unit) operation manual.
Repair manual on unit | Screening of part (unit) repair manual.

«History» group contains the following tools:

Name | Description
Set bookmark | Remembers link to opened page.
Back | Moving through history one unit back.
Forward | Moving through history one unit forward.

«Service» group contains the following tools:

Name | Description
Tile Horizontal | Tiles opened catalogue windows one above another.
Tile Vertically | Tiles opened windows in line.
Settings | Opens settings window.
About program | Opens window containing name and version of the program as well as contact details of the developer.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Main menu

"Catalogue" menu contains the following items:

Name | Description
New window | Creates new full-scale catalogue window. Additional window may be required to view several parts at the same time. To control the windows you may use the buttons located on a toolbar or from "Windows" menu.
Select model | Opens catalogue for the equipment selected. To select the required model, choose equipment type, then payload range (if concerns a haul truck), and then model from the list.
Close window | Closes active catalogue window.
Print | Initiates print of the catalogue page for the part selected.
Search | Opens search window.
Close program | Terminates the program operation.

«Orders» menu contains the following items:

Name | Description
Order part | Allows to make an order for the part.
Orders editor window | Reviewing completed and edited orders.

«Bookmarks» menu contains the following items:

Name | Description
History | Contains links to the catalogue pages which have been opened before and allows to return to that pages. A catalogue page, which is active at the moment is marked with blue circle to the left from it's name. To browse through the history select the required page or use buttons on a toolbar.
Set bookmark | Remembers link to the opened page.
Clear boormarks | Clears list of bookmarks.
Goto bookmark | Allows to select the bookmark from the list which falls out, in order to go to the corresponding page of the catalogue.

«View» menu contains the following items:

Name | Description
On/Off Full-screen mode | Switches between modes of displaying the catalogue. Program starts in a none-full-screen mode by default. Implication of a full-screen mode shall remove all interface elements except main menu and part picture.
Zoom | Allows to select picture scale from the list of available scales. For arbitrary scaling use the buttons on the toolbar. Implication of auto-scale is also available when all views of the parts are scaled to an optimum.
Show status bar | "On" or "off" of a status bar.
Show Toolbar | "On" or "off" of a toolbar.
Toolbars | Provided to select required tool on a toolbar from a pulldown menu.

«Documents» menu contains the following items:

Name | Description
All documents on model | Displays list of all the documents referring to an actual model.
Review description of part | Screening of part operation manual.
Review description on repair | Screening of repair manual.
General data | Information on a model.
Model specs | Specifications of a model.
Controls | About controls.
Maintenance and lubrication charts | About maintenance and lubrication charts.
Operation | About operation.
Safety precautions and instructions | Safety rules.
Assembling | Assembling guidelines.

«Tree» menu contains the following items:

Name | Description
Sort by ... | Contains popup menu where one of three available modes of sorting may be selected: by number, by name or sorting-free.
Search in tree by ... | Contains popup menu where search in tree mode can be adjusted. Perform search either by number or name; by start symbols or by inclusion.
Search in tree | Activates search line. The line is at the bottom of a tree. There is a button next to the line which provides for going to the next part corresponding to search criteria.

«Windows» menu contains the following items:

Name | Description
Tile Horizontal | Tiles opened catalogue windows one above another.
Tile Vertically | Tiles opened windows in line.
 | Active window is marked in menu with a label from the left. Selecting window from this list you make it thus active. To open new windows use "Catalogue" menu.

«Service» menu contains the following items:

Name | Description
Settings | Opens settings window.
About | Opens window containing name and version of the program as well as contact details of the developer.
Help | Activates Help file.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Details tree

Parts tree

BELAZ e-catalogue, version 4.x

Parts and units tree is located in the left part of the interface showing structure and components of all units of the vehicle. The root element of the tree is the vehicle itself. All units of the vehicle, including the vehicle itself, may be disassembled into units and parts of lower level. The required unit or part may be chosen from the tree of units or parts, or image, or in a list of parts and units located under the image. In this case the units both in tree and list are shown as [image], or [image] - the unit with verbal description, either [image] - the unit without image. Parts (lower level - further disassembling is impossible) are shown - [image] , or with small image of the part if it is within group of standard parts. To open the unit structure, simply double click the icon corresponding to the unit by mouse left button, or single click the square having “plus” sign on it (located on the left from the unit image) by the same mouse button; after this the “plus” sign will change to “minus” sign (meaning that the unit is opened). The icon on the selected part will change to [image].

To control the tree of parts and units you may use the toolbar located in the upper part of the interface:

маркированный список | To enter lower level, i.e. to open the unit, choose icon [image] .
маркированный список | To enter upper level, i.e. to the "parental" unit, choose icon [image] .

Information about the part chosen is shown under the unit image, and contains part name, part code, quantity of such parts in the unit, quantity of such parts in the vehicle, part weight, etc. The complete way of entering the units of part chosen is indicated in the same place

Right click of mouse while cursor is in tree calls for a menu where search in tree can be activated (quick access Ctrl+Alt+F).

After search in tree is activated, you will see search line at the bottom of the tree and a button of further search to the right. If search by initials is on you will have to type name of the part starting from capital letter. With each typed letter the program will be moving to the first found part; if the part is not found, a tree cursor will not be moving. To find the next part corresponding to set criteria, click"Further search" (to the right from entry field)

In-tree search is available by name, number, initial data or by included symbols. For in-tree search setup you may either call pop-up menu (mouse right button) of "further search" button, or in program main menu, or using toolbar.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Unit view

BELAZ e-catalogue, version 4.x

1 | Horizontal scrolling
2 | Selected view
3 | Mark of selected part
4 | Attribute of part presence on a view
5 | Mark of moving to view number
6 | Mark of an unit
7 | Mark of a part
8 | Views bookmarks
9 | Vertical scrolling

The unit chosen is shown on a right portion of the catalogue window. View of the part contains the marks. The following marks are used:

маркированный список | part marks (7) are shown with blue
маркированный список | unit marks (6) are shown with violet
маркированный список | marks of part references (links to a part located in other unit) are shown with blue underlined
маркированный список | marks of view references (5) contain the following text: “View No. X”, where “X” is the view number.

When the mouse cursor is getting closer to the mark, the cursor is changing its aspect to [image], all marks with corresponding numbers are encircled in black, and a short time later you will be able to see the name of the part or unit and its serial number near the mark (a number may not be shown near some units; this means that they do no have numbers – they are simply illustrations). If then you click on the mark by the mouse left button, corresponding part or unit will be marked out on the image, in the tree, and in the part list; an information about the part will also be shown. The mark of the part (3) chosen will be shown red, and encircled in red, and the mark of the unit chosen will be shown as violet and encircled in red as well. When clicking on the view mark you'll be moved to another image corresponding to the view number. When clicking on the mark of part reference, there will be transition to the corresponding part in the relevant unit. There may be several marks on the image, and all of them will be marked out when chosen. If the image is too large to fit the screen, and therefore the mark cannot be seen, the program will automatically displace the image so that the mark can be screened. Not all marks may be seen in this situation (the image may contain several identical marks). Double click on the unit mark will open the unit, i.e. the image of the unit will be open and the first part on the image will be marked out.

Several views (images) can be made to screen the unit. Available views are indicated at the bottom of the bookmarks (8). Not all parts may be seen on any of the view; that means, that a mark of corresponding part may not be seen on the view; consequently part will not be displayed in the under-view table, but part tree will feature complete part list. The program will automatically go to the view, which has a mark with a part chosen. If several views with chosen part are available the program will move to the first one which has the part in, and a presence mark (4) will be on bookmarks of all the views having this part. Offer a selection of views having this part on it. Should you want to look through all the views yourself, you may use views navigator.

If the view does not fit a relevant window, you may proceed as follows:

маркированный список | Enlarge the window. There is a vertical strip (border) between the tree of units and parts and the image. When you make the mouse cursor come close to the border, the cursor will change its aspect to [image] , by pressing the mouse left button then you may displace the border to the left or to the right, thus enlarging the space for tree of units and parts or for unit image. In the same way you may change the vertical size of the image.
маркированный список | Use scrolling. If the unit image does not fit the screen size, scrolling will appear on the screen allowing displacing the image in vertical/horizontal direction.
маркированный список | Move the image by pressing the mouse left button on it (the cursor will change its aspect to closed hand) [image] .
маркированный список | Switch the full-screen mode [image] .
маркированный список | Change an image zoom.
маркированный список | Initiate "Image auto scale" mode

To change the image scale click on the unit image by mouse right button, and choose “Image Scale” in the menu appeared on the screen, and required image percentage. The scale values can be 50%, 75%, 100%, 125 %, 150% and 200%. After the image being enlarged, it usually does not fit the screen in full; in this case use horizontal and vertical scrolling to move through the image. If you want the image to fit the screen always activate Auto mode (see figure). You may also change the scale with 10% intervals using keys "+" and "-" on an additional keyboard.

Commands "Forward/Back" through units history, "One unit up" of the unit tree and "Print image" are also available in the image menu.
AM logo
AM logo
© 2001-2004 Art-Mechanics company


Search parts and units

BELAZ parts e-catalogue, version 4.x

To find required part by name or number activate search dialog box through Main menu "Catalogue [image] Search" or press "Ctrl+F". Search dialog box is provided with two bookmarks:

маркированный список | General search
маркированный список | Seacrh by part group

Page "General search":

Окно поиска деталей

Page "Seacrh by part group":

Поиск по группам деталей

1 | Number of required part
2 | Description of required part
3 | OKPO code of required part
4 | Dimensions of required part
5 | Group of required part
6 | Parameters of required part
7 | Search results table
8 | Table of units
9 | Table of models
10 | Search settings
11 | Image of selected part or unit
12 | Details about part

To search a part input information into one of the fields (1-6); when doing so watch letter case. For in-depth search adjust search settings (10). To find a part in other vehicles, you may make use of setting "Search в...". When search is over all the results are shown in a table (7). Part units are shown 98) and models containing thia part are shown in a table (9). Selected part is shown in (11). If additional info is available it will be screened in(12).

Program search engine provides powerful and easy way to find a required part as by part number, as by part name, as well as by both parameters. You may search a required part in a given vehicle, in all vehicles of one type, or in the whole vehicle range. If you want to search not in the current vehicle, you should make a choice from the list of models, where the required part was found. If you choose a part in a model other than a current one, a catalogue of the model chosen will be opened, thus opening another tree, etc.

Inside the search dialog box you maay browse between different pictures. If you press "Cancel" when exiting the program will return to a part and a picture that were active before activation of the search dialog box. .

The following are some examples to show how to search a part in various situations:

Example 1
Task | You need to find a part with "Bolt" name in a current vehicle, and you are sure that the part name is absolutely correct
How to proceed | Set the "Search style" window in "Exactly" position Set the "Search in" window in "Current model" position Type "Bolt" in the part name field. Please, note, that the first letter must be a capital letter, otherwise the search process will fail
Search result | 1/2"-13х1,77 Bolt 1/2--13х1,38 Bolt Part "020-025-30-2-2" is located in: Mounting of hydromechanical gear pipelines and hoses
Example 2
Task | You need to find a part by number, but you do not know exact number, only the digits "-025"
How to proceed | Set the “Search style” window in "Analogous to include" position Type "-025" in the part number field
Search result | 020-025-30-2-2 Ring 020-025-30-2-3 Ring Part "020-025-30-2-2" is located in: Pipelines and devices of brake system pneumatic drive Control panel
Example 3
Task | You need to find a bolt in a unit you know, but you don’t know its number.
How to proceed | Set the “Search style” window in “Analogous to start with” position Type "Bolt" in the part name field.
Search result | 530-1302118 Bolt 75483-2208079 Bolt Part “530-1302118” is located in: Water radiator Water radiator In this case you will have to look through the units names. If the “Show Image” option is engaged, you will see the image of the unit.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Поиск узлов где содержится деталь

Searching for units

A kind of search, which result is a list of all available models and units where selected part is included. Right portion of window show vehicle models containing the part. List of units show the units of a selected model only. Lower portion of window has image of selected unit with marked selected part. Button "Go to" allows to open catalogue tree on a selected unit.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


View documents

1 | Back
2 | Forward
3 | Stop loading
4 | Refresh contents
5 | Close viewer

To return to the program you should close the viewer. As long as you are looking through information, it is IMPOSSIBLE to work with a catalogue.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Window "Additional information of part"

Window "Additional information on part"

BELAZ e-catalogue, version 4.x

Standardized parts (sundries) are provided with additional information, because it is not possible to determine by the image, what kind of bolt or nut is depicted on it. Moreover, sometimes information about the dimensions, applicable standards, etc. is also required.

Windows "Additional information of part" Menu in window "Additional information of part"

Detailed info includes:

маркированный список | Name of the part group (located in the upper part of the window)
маркированный список | Applicable part standard (located in the upper part of the window), if any
маркированный список | List of dimensions with notes
маркированный список | Part images, up to two illustrations (for example: general aspect and cutoff of the bearing)

The window with information about standard parts may be opened by clicking a button with an icon of that part (located to the right from the part number). The button appears only if a standard part is chosen. When changing window dimensions, the scale is being changed correspondingly. To see a full-scale image you should enlarge the additional information window until the image stops increasing, or you may set an “Autosize” option. You may reduce an image endlessly by reducing size of additional information window. The window may be tied to the right upper or lower border, or may not be tied – in this case it will be possible to move the window through the screen. If no additional information about the part is available, the window will be empty. If Database of additional information is not supplied, the window of additional information will be empty.
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Printing of unit image

To print required unit, activate print window through a Main menu "Catalogue [image] Print" or press "Ctrl+P". Printing process is performed through a built-in report writer. General view of the generated report is screened in the writer. You may review and print the report using a toolbar where the following icons are located:

1 | Show whole page of report
2 | Show page 1:1
3 | Show order page wide
4 | Turn over pages
5 | Set up printer properties
6 | Report printing
7 | Close window report
8 | Current page and total number of pages in report
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Detail order

Detail order window

1 | Order settings
2 | Quantity of ordered parts
3 | Show/Hide order contents
4 | Order records

The program provides a possibility to create a database of your orders, as well as the one of the orders of other customers. To proceed so, select part mark while in a main menu and click [image] on menu or toolbar. Select a customer in order settings (1) in the opened window. If no customer is avaialable yet, all the orders shall be placed in a list "Own". Then select order number and all order records will be screened automatically. To input new record in the order select the required part in a tree or on an image. choose required quantity (2) and press button "order". To review the records (4) press the button (3). To insert new record for the specific iteem, make use of "Manual input of items in order".

Should you need to enter a part with part number that you know for sure, you may make use of "Manual ordering" button which is located to the right from a button "Order" (2). Input part number and if the part is available in a DB it's name will apear automatically in a field "Description". After that enter required quantity and click "Add".

Manual order window

AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Orders editor

Built-in ordering system

маркированный список | Ensures error-free input of a data with auto indication of additional details facilitating search of interchangeable parts and units.
маркированный список | DB support
маркированный список | Support of orders DB (creating, deleting, reviewing and editing)
маркированный список | Supervision of order performance
маркированный список | Printing order (option of sending through a fax, as a consequence)
маркированный список | Sending order through e-mail or copying to a floppy disc
маркированный список | Export of order to text file or MSWord and Excel
маркированный список | Using of a common part search sustem

To open orders editor press [image] on a toolbar or select relevant menu-item "Orders". Opened window will contain the following elements:

1 | Type of orders tree sorting by date of creation by sequence number
2 | Orders filter show all orders show drafts only show operative only show completed only
3 | Orders tree
4 | Order management bar
5 | About order
6 | Scope of order
7 | Order contents management bar
8 | History of item in order - corresponding vehicle, and parental unit
9 | Item history management bar
10 | Editor of order notes

Each created cusstomer has a correspondent unit of a tree with similar name. All the orders created by this customer are inside the unit. The orders may be assigned various ranks:

маркированный список | Draft. All recently created orders.
маркированный список | Operative. Ready-to-perform orders.
маркированный список | Completed. Finished order (order marked so cannot be changed).

To move order between the ranks use order management bar. Order contents may be changed in a table of order records. The records may be marked out with different colors which describe this particular line of an order.

Colour identification of order items:

Light-blue | Partial manual input of parts
Blue | All items or ordered manually
Pink | Part not found in catalogue
Dark-blue | Part added in order history manually
White | Part added from catalogue

To switch color marking off use order contents management bar (7); this will accelerate performance of the program.
AM logo
AM logo
© 2001-2005 Art-Mechanics company


Troubleshooting

Problems

Possible reason

Solution

Message appears "Error of file copying...." during setup | System does not support Russian language (the Russian symbols in file names are not identified) | Install support of Russian language
Program starting page appears, then program stops without any notifications or messages | License file damaged or not found | Reinstall catalogue
Catalogue program file damaged | Reinstall catalogue
Произошел сбой во время работы программы, или программа некорректно завершилась | Reinstall catalogue
License expired | Contact software producer for program or Database update or license extension
Message appears "Error in Database server startup" | When working on "slow" computers (i.e. 100 - 200 MHz) waiting time of Database server startup may expire. This will be accompanied by appearance of server icon [image] or [image] in system tray (right lower corner of screen) once the program is shut. | Restart catalogue program
Database server does not start - no icon in system tray or it flashes red:
  1. InterbaseServer not installed
  2. Invalid file gds32.dll
  3. InterbaseServer version lower then 6
  4. Error in operation system - error in Database server (icon flashes red)
  5. Invalid settings in InterbaseServer
Respectively:
  1. Install InterbaseServer separately or reinstall catalogue program
  2. Delete file gds32.dll from Windows\System\ (Win95/98) and WinNt\System32\ (Win2000) and reinstall catalogue program
  3. Reinstall catalogue program
  4. Delete operation system and reinstall it (sometimes it is the only solution). Possible reason - damaged essential files in operation system by other programs (copying of older versions, etc.)
  5. Apply to your administrator to check settings (there are only few of them)
Message appears "Insert disc in CD-Rom and restart!" | Database file not found | Database file usually located in "Program files\BELAZ\Catalogue\DB" folder under the name "Parts.gdb". If it is not located there - the most likely reason is that program setting "work with CD" is on. In this case you have to chose "Complete" installation option and reinstall program - program will start from hard disc.
Set path to Database file.
Appears message "Cannot open Parts Database" | Database customer code not corresponding to program customer code | Set path to Database file "Parts.gdb".
Database client code mismatch program client code. | Use original Database.
Operations with Orders are not available within the program | Old version of Orders DataBase and problem with it's update. | Delete Orders DataBase before installing the program (Orders_1.gdb)
Units illustrations not displayed | Wrong path to image files | Enter "Settings" section, "Paths to files" page and adjust paths.
Program integrity damaged or license not corresponding to program | You violated license agreement - delete program from your PC

AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Hot keys

Keys combination | Description
Ctrl+N | Create new catalog window
Ctrl+P | Print page of catalog
Ctrl+F | Search details and units
Ctrl+Alt+F | Search detail in unit (in tree)
Ctrl+D | Open window "Order detail"
Ctrl+O | Open window "Orders"
Ctrl+B | Set bookmark
Ctrl+Alt+M | On/Off Full-screen mode
Ctrl+Alt+A | Set on auto zoom pictures
Ctrl+Alt+H | Tile Horizontal
Ctrl+Alt+V | Tile Vertically
Alt+F4 | Close window
+/- | Change zoom picture
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


Contact info

Computer design technologies
for equipment manufacturers and dealers

Address: | Pritytskogo street 60/4, office 804, Minsk 220121, Belarus
Phone: | (375 17) 259-43-36, 258-81-37
Fax: | (375 17) 259-43-36
E-mail: | info@artmech.com
WEB: | www.artmech.com
AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.


License

AM logo
AM logo
© 2001-2005 Art-Mechanics Ltd.